=== debian/changelog ===
fatsort (1.6.4.625-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #994792, #915436).
  * Update copyright years.
  * Declare compliance with Debian Policy 4.6.2.0.
  * Enable FORTIFY_SOURCE via CPPFLAGS.

 -- Alex Muntada <alexm@debian.org>  Mon, 27 Feb 2023 23:57:01 +0100
