=== debian/control ===
Source: fatsort
Section: utils
Priority: optional
Maintainer: Jordi Sayol <g.sayol@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               help2man
Standards-Version: 4.6.2.0
Vcs-Git: https://salsa.debian.org/debian/fatsort.git
Vcs-Browser: https://salsa.debian.org/debian/fatsort
Homepage: http://fatsort.sourceforge.net

Package: fatsort
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: utility for sorting FAT directory structures
 FATSort is a utility that sorts FAT16 and FAT32 partitions. It even
 can handle long file name entries. It reads the boot sector and sorts
 the directory structure recursively.
 This is for example useful for sorting the files on your MP3 player when
 it doesn't implement a sorting function itself.
