## fatsort 1.6.5.640

=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 
 CFLAGS += -Wall -Wextra
-override CFLAGS+= -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+override CFLAGS+= -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE ${CPPFLAGS}
 
 INSTALL_FLAGS=-m 0755 -p -D
