=== docker_tests/docker_tests_amd64/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TAR=$(shell which tar)
 
 all: build_image
-	$(DOCKER) run --rm --privileged -v ${CURDIR}:/home/tester/artifacts --tmpfs /tmp:rw,noexec,nosuid,size=2G -it fatsort-test-amd64
+	$(DOCKER) run --rm --privileged --group-add keep-groups -v ${CURDIR}:/home/tester/artifacts --tmpfs /tmp:rw,noexec,nosuid,size=2G -it fatsort-test-amd64
 
 build_image: Dockerfile do_tests.sh
 	$(DOCKER) build -t fatsort-test-amd64  .
