=== debian/changelog ===
fatsort (1.6.5.640-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Alex Muntada ]
  * Take over maintenance (Closes: #1032432).
  * New upstream release.
  * Remove d/patches, already applied upstream.
  * Update copyright years.

 -- Alex Muntada <alexm@debian.org>  Sun, 07 Apr 2024 12:32:50 +0200
