=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: fatsort
 Section: utils
 Priority: optional
-Maintainer: Jordi Sayol <g.sayol@gmail.com>
+Maintainer: Alex Muntada <alexm@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                help2man
 Standards-Version: 4.6.2.0
 Vcs-Git: https://salsa.debian.org/debian/fatsort.git
 Vcs-Browser: https://salsa.debian.org/debian/fatsort
-Homepage: http://fatsort.sourceforge.net
+Homepage: https://fatsort.sourceforge.net
 
 Package: fatsort
 Architecture: any
