=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	# 'man' target is not explicitly called in Makefile but it is
	# needed here since debclean removes man/fatsort.1
	make man
	dh_auto_install -- SBINDIR=/usr/bin MANDIR=/usr/share/man/man1
