=== debian/watch ===
version=4
  https://sf.net/fatsort/ fatsort-(.+)\.tar\.xz debian uupdate
